Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::action::take_fn Struct Reference

## Synopsis of methods
constexpr action< take_fn > | take {}

## Instances and minimal complete definitions
struct | ConceptImpl

## Public Types
template<typename Rng , typename T >
using | Concept = concepts::models< ConceptImpl, Rng, T >

## Public Member Functions
template<typename Rng , typename D = range_difference_type_t<Rng>, requires = (Concept<Rng, D>())>
Rng | operator() (Rng &&rng, range_difference_type_t< Rng > n) const